<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.forum.dao.LinkDao">




    <insert id="saveLink" parameterType="Link">
        insert into link(name ,address,create_time) values (#{name},#{address},#{createTime});
    </insert>



    <delete id="deleteLink">
        delete from link where id = #{id}
    </delete>
    <select id="getAllLink" resultType="Link">
        select id,name,address,create_time from link
    </select>
    <select id="countLink" resultType="java.lang.Integer">
        select count(*) from link
    </select>


</mapper>
